package vip.xiaonuo.money.service;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.money.entity.MoneyBusiness;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.money.param.MoneyBusinessPageParam;
import vip.xiaonuo.money.param.MoneyBusinessParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 财务营业情况 服务类
 * </p>
 *
 * @author author
 * @since 2024-11-19
 */
public interface IMoneyBusinessService extends IService<MoneyBusiness> {

    //财指标卡
    JSONArray listBusiness(MoneyBusinessParam moneyBusinessParam);


    //指标卡列表
    Page<MoneyBusiness> getPage(MoneyBusinessPageParam pageParam);


    //财务指标卡填报
    void addBusiness(MoneyBusiness business);


    //财务指标卡修改
    void updateBusiness(MoneyBusiness business);

    //财务指标卡删除
    void deleteBusiness(MoneyBusiness business);

}
